Part: Sfera

From FreeCAD Documentation
Revision as of 14:03, 8 January 2022 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Sfera

Posizione nel menu
Parte → Sfera
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea Primitive...

Description

Descrizione

Crea una sfera parametrica con i parametri posizione, angolo1, angolo2, anglo3 e raggio.

Usage

Utilizzo

Nell'ambiente Part cliccare sull'icona della sfera . La sfera viene creata nell'origine (punto 0,0,0). I parametri degli angoli consentono di creare una porzione di sfera invece di una sfera intera (sono predefiniti a 360 °).

Result: The sphere will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of sphere instead of a full sphere (they are set to 360° by default).

The properties of the object can be edited, either in the Property editor or by double-clicking the object in the Tree view.

Opzioni

Data

Sphere

  • DatiRadius: Radius of the sphere
  • DatiAngle 1: 1nd angle to cut / define the sphere
  • DatiAngle 2: 2nd angle to cut / define the sphere
  • DatiAngle 3: 3rd angle to cut / define the sphere

Poiché è abbastanza difficile spiegare il significato dei parametri di angolo1, angolo2 e angolo3, l'immagine sottostante fornisce una esempio dove questi parametri hanno i seguenti valori: angolo1 = -45 °, angolo2 = 45 ° e angolo3 = 90 °.

Scripting

A Part Sphere can be created using the following function:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.